Aggregator
Keywords: uk.ac.ic.doc.automed.matching.Aggregator class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.matching
Class Aggregator

    java.lang.Object
      uk.ac.ic.doc.automed.matching.Aggregator

    public class Aggregator

extends java.lang.Object

The class that represents the Aggregator component in the schema matching architecture. Its role is to aggregate the bidirectional degrees of the schema elements produced by the attached comparision modules.

See Also:
  `AbstractModule`, `SchemaElementPair`, `SimilarSchemaElementPair`

Constructor Summary
`Aggregator(SchemaElementPair[] compatiblepairs)` Constructs the `Aggregator` for the specified compatible pairs of elements.

Method Summary
`void` | `addAuxiliaryModule(AbstractModule module)` Appends the specified module to the list of auxiliary modules of this `Aggregator`
`void` | `addNonAuxiliaryModule(AbstractModule module)` Appends the specified module to the list of non-auxiliary modules of this `Aggregator`
`SimilarSchemaElementPair[]` | `getPairs()` Returns an array of `SimilarSchemaElementPair` objects with their aggregated bidirectional degrees

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Aggregator

    public Aggregator(SchemaElementPair[] compatiblepairs)
               throws UninstantiatedException

  Constructs the `Aggregator` for the specified compatible pairs of elements.

  Parameters:
    `compatiblepairs` - the array of compatible schema elements
  Throws:
    `UnistantiatedException` - if the are no pairs of elements in the array
    `UninstantiatedException`

Method Detail

### addNonAuxiliaryModule

    public void addNonAuxiliaryModule(AbstractModule module)

  Appends the specified module to the list of non-auxiliary modules of this `Aggregator`

  Parameters:
    `module` - the module to be appended

### addAuxiliaryModule

    public void addAuxiliaryModule(AbstractModule module)

  Appends the specified module to the list of auxiliary modules of this `Aggregator`

  Parameters:
    `module` - the module to be appended

### getPairs

    public SimilarSchemaElementPair[] getPairs()

  Returns an array of `SimilarSchemaElementPair` objects with their aggregated bidirectional degrees

  Returns:
    an array of `SimilarSchemaElementPair` objects with their aggregated bidirectional degrees

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD